For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList all users
      • POSTCreate a new user
      • GETGet user by ID
      • PUTUpdate user (full)
      • DELDelete user
      • PATCHUpdate user (partial)
Calculator
LogoLogo
EndpointsUsers

List all users

GET
https://api.finput.com.au/api/v1/users
GET
/api/v1/users
$curl https://api.finput.com.au/api/v1/users \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "count": 1,
3 "next": "next",
4 "previous": "previous",
5 "results": [
6 {
7 "id": 1,
8 "email": "email",
9 "first_name": "first_name",
10 "last_name": "last_name",
11 "organisation_id": 1,
12 "is_admin": true,
13 "is_staff": true,
14 "is_active": true,
15 "is_email_verified": true,
16 "is_superuser": true,
17 "created": "2024-01-15T09:30:00Z",
18 "groups": [
19 {}
20 ]
21 }
22 ]
23}

Returns paginated list of users with full details (including groups and permissions). Results are scoped to the caller’s organisation based on their role.

Was this page helpful?
Previous

Create a new user

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptional
Page number for pagination
page_sizeintegerOptional

Number of results per page (max 1000)

Response

Paginated list of users
countinteger
nextstring
previousstring
resultslist of objects